<?php 

namespace WebServiceCall\Repository\DB;

class Filial extends ABaseRepo {
    public function getFilialByCnpj($cnpj) {
        $params = array(
            ':CNPJ'        => $cnpj,
            ':NRORG'       => $this->conn->getNRORG(),
        );
        
        return $this->conn->fetchAssoc(self::GET_FILIAL_BY_CNPJ, $params, [], true);
    }
    
    private const GET_FILIAL_BY_CNPJ = "
        SELECT CDFILIAL, NMFILIAL, CDEMPRESA, CDINSCESTA, CDINSCMUNI, NRINSJURFILI 
          FROM FILIAL 
         WHERE NRORG = :NRORG
           AND NRINSJURFILI = ':CNPJ'
    ";
}
